clear, clc, mode(0), close(winsid()) 
//cviceni 4 - simulace diskrétniho modelu $f(y_t|y_{t-1},u_t,\Theta)$ s alternativním rozdělením

nd=50;  //počet dat

////neurčitý model - tabulka pravděpodobností(parametrů)
th=[0.48 0.52;        //y_t-1=1 u_t=1     
    0.49 0.51;        //y_t-1=1 u_t=2 
    0.53 0.47;        //y_t-1=2 u_t=1 
    .51 .49];         //y_t-1=2 u_t=2 


////deterministický model - tabulka pravděpodobností(parametrů)
th=[0 1;//y_t-1=1 u_t=1   
    0 1;//y_t-1=1 u_t=2 
    1 0; //y_t-1=2 u_t=1 
    1 0]; //y_t-1=2 u_t=2
    
    
    
    
    
y(1)=1;   // počáteční podmínky

u=(rand(1,nd,'uniform')>.2)+1;   //řídící alternativní vstup



for t=2:nd /// cyklus od 2 pro 1.řád
    
//////////generování pomocí if-else-end
//   if (y(t-1)==1) & (u(t)==1) then
//     y(t)=(rand(1,1,'u')>th(1,1))+1
//    elseif  (y(t-1)==1) & (u(t)==2) then
//        y(t)=(rand(1,1,'u')>th(2,1))+1
//    elseif (y(t-1)==2) & (u(t)==1) then
//        y(t)=(rand(1,1,'u')>th(3,1))+1
//    else 
//       y(t)=(rand(1,1,'u')>th(4,1))+1
//    end

 /////přehlednější způsob
    j=2*(y(t-1)-1)+u(t); //aktuální číslo řádku z modelu
    py=th(j,1);           //pravděpodobnost z 1.sloupce
    y(t)=(rand(1,1,'uniform')>py)+1;//generování výstupu

end





//obrázek
plot(y,'-o','Markersize',10)
plot(u,'r.','Markersize',8)
legend('Výstup','Vstup');
title('Simulace diskrétního modelu','fontsize',5)
ylabel('Data','fontsize',5)
xlabel('Čas','fontsize',5)
set(gca(),"data_bounds",[0 nd .9 2.1]) //nastavení os

