clear, clc, mode(0), close(winsid()) 
//simulace logisticke regrese $\frac{\exp\left\{y_{t}z_{t}\right\} }{1+\exp\left\{ z_{t}\right\} }$ s výstupem $y_{t}\in\left\{ 0,1\right\}$

nd=200;   //počet dat

//// regresní koeficienty
c1=.03;
c2=-.01;
c3=-.04;
k=.01;
th=[c1 c2 c3 k]; //vektor regresních koeficientů
r=1;     //rozptyl

//externí vstupy - normální
v1=rand(1,nd,'n')+15;
v2=3*rand(1,nd,'n')-15;
v3=0.1*rand(1,nd,'n');





for t=1:nd // cyklus od 1
   ////regrese pomocí rovnice
//   z=c1*v1(t)+c2*v2(t)+c3*v3(t)+k+sqrt(r)*rand(1,1,'n'); 
    
    //nebo pomocí regresního vektoru
    ps=[v1(t) v2(t) v3(t) 1];//regresní vektor
    z=th*ps'+sqrt(r)*rand(1,1,'n'); //lineární regrese z
//    
    p(t)=exp(z)/(1+exp(z));//pravděpodobnost 1 podle vzorce
    y(t)=double(rand(1,1,'u')<p(t));//generování y
end







////obrázek 1
plot(y,'b.','Markersize',8)
plot(p,'m-.')
title('Simulace s logistickým modelem','fontsize',6)
legend('výstup','pravděpodobnost')
ylabel('Výstup','fontsize',5)
xlabel('Čas','fontsize',5)
set(gca(),"data_bounds",[0 nd min(y)-0.5 max(y)+0.5]) //nastavení os

////obrázek 2
scf(2)
plot(v1)
plot(v2,'r')
plot(v3,'g')
title('Externí vstupy','fontsize',6)
legend('v1','v2','v3')
ylabel('Data','fontsize',5)
xlabel('Čas','fontsize',5)
